POST api/v1/update_companytype

Request Information

URI Parameters

None.

Body Parameters

CompanyType
NameDescriptionTypeAdditional information
company_type_id

integer

None.

name

string

None.

creadted_on

date

None.

created_by

integer

None.

modified_on

date

None.

modified_by

integer

None.

is_active

boolean

None.

is_logical_deleted

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "company_type_id": 1,
  "name": "sample string 2",
  "creadted_on": "2026-03-23T01:48:45.2112036+00:00",
  "created_by": 1,
  "modified_on": "2026-03-23T01:48:45.2112036+00:00",
  "modified_by": 1,
  "is_active": true,
  "is_logical_deleted": true
}

text/html

Sample:
{"$id":"1","company_type_id":1,"name":"sample string 2","creadted_on":"2026-03-23T01:48:45.2112036+00:00","created_by":1,"modified_on":"2026-03-23T01:48:45.2112036+00:00","modified_by":1,"is_active":true,"is_logical_deleted":true}

application/xml, text/xml

Sample:
<CompanyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BellaArmorAPI.Models">
  <company_type_id>1</company_type_id>
  <creadted_on>2026-03-23T01:48:45.2112036+00:00</creadted_on>
  <created_by>1</created_by>
  <is_active>true</is_active>
  <is_logical_deleted>true</is_logical_deleted>
  <modified_by>1</modified_by>
  <modified_on>2026-03-23T01:48:45.2112036+00:00</modified_on>
  <name>sample string 2</name>
</CompanyType>

multipart/form-data

Sample:
<CompanyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BellaArmorAPI.Models"><company_type_id>1</company_type_id><creadted_on>2026-03-23T01:48:45.2112036+00:00</creadted_on><created_by>1</created_by><is_active>true</is_active><is_logical_deleted>true</is_logical_deleted><modified_by>1</modified_by><modified_on>2026-03-23T01:48:45.2112036+00:00</modified_on><name>sample string 2</name></CompanyType>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'CompanyType'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.